org.apache.ignite.ml.math.primitives.vector

## Interface NamedVector

- All Superinterfaces:
    Destroyable, Externalizable, MetaAttributes, Serializable, StorageOpsMetrics, Vector
  All Known Implementing Classes:
    DelegatingNamedVector

      public interface NamedVector
      extends Vector

  A named vector interface based on `Vector`. In addition to base vector functionality allows to set and get elements using names as index.

- - ### Nested Class Summary

    - ### Nested classes/interfaces inherited from interface org.apache.ignite.ml.math.primitives.vector.Vector

      `Vector.Element`

  - ### Method Summary

    All Methods Instance Methods Abstract Methods
    Modifier and Type | Method and Description
    --- | ---
    `double` | `get(String idx)` Returns element with specified string index.
    `Set<String>` | `getKeys()` Returns list of string indexes used in this vector.
    `NamedVector` | `set(String idx, double val)` Sets element with specified string index and value.

    - ### Methods inherited from interface org.apache.ignite.ml.math.primitives.vector.Vector

      `all, allSpliterator, asArray, assign, assign, assign, assign, compute, copy, copyOfRange, cross, divide, dot, foldMap, foldMap, get, getDistanceSquared, getElement, getLengthSquared, getRaw, getRawX, getStorage, getX, guid, increment, incrementX, kNorm, labeled, like, likeMatrix, logNormalize, logNormalize, map, map, map, maxElement, maxValue, minElement, minus, minValue, nonZeroElements, nonZeroes, nonZeroSpliterator, normalize, normalize, plus, plus, set, setRaw, setRawX, setX, size, sort, sum, times, times, toMatrix, toMatrixPlusOne, viewPart`

    - ### Methods inherited from interface org.apache.ignite.ml.math.MetaAttributes

      `getAttribute, getMetaStorage, hasAttribute, removeAttribute, setAttribute`

    - ### Methods inherited from interface java.io.Externalizable

      `readExternal, writeExternal`

    - ### Methods inherited from interface org.apache.ignite.ml.math.StorageOpsMetrics

      `isArrayBased, isDense, isNumeric`

    - ### Methods inherited from interface org.apache.ignite.ml.math.Destroyable

      `destroy`

- - ### Method Detail

    - #### get

          double get(String idx)

      Returns element with specified string index.
      Parameters:
        `idx` - Element string index.
      Returns:
        Element value.

    - #### set

          NamedVector set(String idx,
                          double val)

      Sets element with specified string index and value.
      Parameters:
        `idx` - Element string index.
        `val` - Element value.
      Returns:
        This vector.

    - #### getKeys

          Set<String> getKeys()

      Returns list of string indexes used in this vector.
      Returns:
        List of string indexes used in this vector.

${current.year} Copyright © Apache Software Foundation
| Follow @ApacheIgnite
Ignite Database and Caching Platform | : ver. 2.15.0
Release Date | : April 25 2023